Download schedule plan agreement
curl --request GET \
--url https://api.consumer.younegotiate.com/accounts/{consumer}/payments/agreement \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.consumer.younegotiate.com/accounts/{consumer}/payments/agreement"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.consumer.younegotiate.com/accounts/{consumer}/payments/agreement', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>"{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"code": "profile_incomplete",
"message": "Please complete your communication profile before viewing accounts.",
"required_steps": [
"profile_communication"
]
}Download schedule plan agreement
Download the current agreement PDF for an owned active, held, settled, or deactivated account. This endpoint backs the Schedule Plan agreement action, completed payment summary, and Payment History page.
GET
/
accounts
/
{consumer}
/
payments
/
agreement
Download schedule plan agreement
Last modified on July 19, 2026
Was this page helpful?
⌘I

